from Products.CMFDefault import Portal
import PhotoAlbum
import Products.CMFCore

from Products.CMFCore import utils, CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory

from config import SKINS_DIR, GLOBALS, PROJECTNAME, PORTAL_TYPE
from config import ADD_CONTENT_PERMISSION

contentConstructors = (PhotoAlbum.addPhotoAlbum,)
contentClasses = (PhotoAlbum.PhotoAlbum,)
ftis = PhotoAlbum.factory_type_information

registerDirectory('skins', GLOBALS)

def initialize(context):

    utils.ContentInit(
#        PROJECTNAME + ' Content',
		PORTAL_TYPE,
        content_types      = contentClasses,
        permission         = ADD_CONTENT_PERMISSION,
        extra_constructors = contentConstructors,
        fti                = ftis,
        ).initialize(context)
